OPENPAM_TTYCONV(3) | Library Functions Manual | OPENPAM_TTYCONV(3)

# NAME

`openpam_ttyconv` —
simple tty-based conversation function

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`
`#include <security/openpam.h>`

int
`openpam_ttyconv`(int n, const struct pam_message **msg, struct pam_response **resp, void *data);

# DESCRIPTION

The `openpam_ttyconv`() function is a standard conversation function suitable for use on TTY devices. It should be adequate for the needs of most text-based interactive programs.

The `openpam_ttyconv`() function allows the application to specify a timeout for user input by setting the global integer variable openpam_ttyconv_timeout to the length of the timeout in seconds.

# RETURN VALUES

The `openpam_ttyconv`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

getpass(3), openpam_nullconv(3), pam(3), pam_prompt(3), pam_strerror(3), pam_vprompt(3)

# STANDARDS

The `openpam_ttyconv`() function is an OpenPAM extension.

# AUTHORS

The `openpam_ttyconv`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.2